Check Point Advisories

Lighttpd Web Server Denial Of Service (CVE-2019-11072)

Check Point Reference: CPAI-2019-1506
Date Published: 24 Nov 2019
Severity: High
Last Updated: 24 Nov 2019
Source:
Industry Reference:CVE-2019-11072
Protection Provided by:

Security Gateway
R80, R77, R75

Who is Vulnerable? Lighttpd Project Lighttpd prior to 1.4.54
Vulnerability Description A denial-of-service vulnerability exists in Lighttpd server. This vulnerability is due to improper handling of URL when url-path-2f-decode is enabled. A remote, unauthenticated attacker can exploit this vulnerability by sending a maliciously crafted HTTP request to the target server. Successful exploitation of this vulnerability could result in denial-of-service condition on the target server.

Protection Overview

This protection detects attempts to exploit this vulnerability.

In order for the protection to be activated, update your Security Gateway product to the latest IPS update. For information on how to update IPS, go to SBP-2006-05, click on Protection tab and select the version of your choice.

Security Gateway R80 / R77 / R75

  1. In the IPS tab, click Protections and find the Lighttpd Web Server Denial Of Service (CVE-2019-11072) protection using the Search tool and Edit the protection's settings.
  2. Install policy on all Security Gateways.

This protection's log will contain the following information:

Attack Name:  Web Server Enforcement Violation.
Attack Information:  Lighttpd Web Server Denial Of Service (CVE-2019-11072)

This website uses cookies to ensure you get the best experience. Got it, Thanks! MORE INFO